// A mathematical game
// Copyright (C) 2004-2005 by Christian von Schultz <schultz@linux.nu>

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


#ifndef SAYONEPANEL_H
#define SAYONEPANEL_H

#include <wx/object.h>
#include <wx/wxexpr.h>
#include <wx/panel.h>
#include <wx/timer.h>
#include <wx/dc.h>
#include <wx/listctrl.h>
#include <new>

#include <config.h>
#include "../checksetup.h"

#include "../exceptions.h"
#include "../mainwindow.h"
#include "../one/onepanel.h"

class SayOne;
class SayOneData;

class SayOnePanel: public One::OnePanel
{
public:
  SayOnePanel(SayOne *co, SayOneData *cod)
    throw(Exception);
  
  virtual ~SayOnePanel();

protected:
  virtual wxWindow *cMakeAnswerCtrl(::One::Screen *current) throw(Exception);

public:
  void OnTextEnter(wxCommandEvent &event) throw();

protected:
  DECLARE_EVENT_TABLE();
};

#include "sayone.h"
#include "sayonedata.h"

#endif // SAYONEPANEL_H

// 
// Local Variables:
// mode: c++
// End:
